{
  description = "stadtratmonitor-rs devShell";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = {
    self,
    nixpkgs,
    flake-utils,
    ...
  }:
    flake-utils.lib.eachDefaultSystem (
      system: let
        pkgs = nixpkgs.legacyPackages.${system};
      in {
        devShells.default = pkgs.mkShell {
          packages = builtins.attrValues {
            inherit
              (pkgs.buildPackages)
              cargo
              cargo-watch
              openssl
              pkg-config
              rustc
              rustfmt
              ;
          };
        };
      }
    );
}
